import { FragmentDefinitionNode, OperationDefinitionNode } from "graphql";
import { NetlifyGraphConfig } from "../netlifyGraph";
declare type OperationData = {
    query: string;
    name: string;
    displayName: string;
    type: string;
    variables: {
        [key: string]: string;
    };
    operationDefinition: OperationDefinitionNode;
    fragmentDependencies: FragmentDefinitionNode[];
};
export declare const computeOperationDataList: ({ query, variables }: {
    query: any;
    variables: any;
}) => {
    operationDefinitions: (OperationDefinitionNode | FragmentDefinitionNode)[];
    fragmentDefinitions: FragmentDefinitionNode[];
    rawOperationDataList: {
        query: string;
        name: any;
        displayName: any;
        type: string;
        variableName: any;
        variables: any;
        operationDefinition: OperationDefinitionNode | FragmentDefinitionNode;
        fragmentDependencies: any[];
    }[];
    operationDataList: never[];
};
export declare const nextjsFunctionSnippet: {
    language: string;
    codeMirrorMode: string;
    name: string;
    options: {
        id: string;
        label: string;
        initial: boolean;
    }[];
    generate: (opts: {
        operationDataList: OperationData[];
        netlifyGraphConfig: NetlifyGraphConfig;
        options: Record<string, boolean>;
    }) => any;
};
export {};
