"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalConsole = exports.GraphQL = exports.OneGraphClient = exports.NetlifyGraph = void 0;
var fs_1 = require("fs");
var graphql_1 = require("graphql");
var NetlifyGraph = require("./netlifyGraph");
var test = function () {
    var sourceGraphQLFilename = "./tests/assets/netlifyGraphOperationsLibrary.graphql";
    var schemaGraphQLFilename = "./tests/assets/netlifyGraphSchema.graphql";
    var sourceGraphQLFile = (0, fs_1.readFileSync)(sourceGraphQLFilename, "utf8");
    var schemaGraphQLFile = (0, fs_1.readFileSync)(schemaGraphQLFilename, "utf8");
    var schema = (0, graphql_1.buildASTSchema)((0, graphql_1.parse)(schemaGraphQLFile));
    var parsedDoc = (0, graphql_1.parse)(sourceGraphQLFile);
    var functions = NetlifyGraph.extractFunctionsFromOperationDoc(parsedDoc);
    var netlifyGraphConfig = {
        netlifyGraphPath: ["..", "..", "lib", "netlifyGraph"],
        framework: "Next.js",
        functionsPath: ["pages", "api"],
        graphQLOperationsSourceFilename: [
            "..",
            "..",
            "lib",
            "netlifyGraphOperationsLibrary.graphql",
        ],
        graphQLSchemaFilename: ["..", "..", "lib", "netlifyGraphSchema.graphql"],
        netlifyGraphImplementationFilename: ["..", "..", "lib", "index.js"],
        netlifyGraphTypeDefinitionsFilename: ["..", "..", "lib", "index.d.ts"],
        netlifyGraphRequirePath: ["..", "..", "lib", "netlifyGraph"],
        extension: "ts",
        moduleType: "esm",
    };
    var source = NetlifyGraph.generateHandlerSource({
        handlerOptions: {
            postHttpMethod: true,
            useClientAuth: true,
        },
        netlifyGraphConfig: netlifyGraphConfig,
        operationId: "2b0c3674-06b0-4a84-b296-afa92c10dc6b",
        operationsDoc: sourceGraphQLFile,
        schema: schema,
    });
    console.log(source === null || source === void 0 ? void 0 : source.source);
};
exports.NetlifyGraph = require("./netlifyGraph");
exports.OneGraphClient = require("./oneGraphClient");
exports.GraphQL = require("graphql");
exports.InternalConsole = require("./internalConsole");
//# sourceMappingURL=index.js.map